select
  an.numero
  , lac.dtinicio
  , m.data as pri_caso
  , (m.data - lac.dtinicio) as del_pri_caso
from
  animal an
  join lactacao lac on lac.cdlactacao =
    (select re.cdlactacao from lactacao re where re.cdanimal = an.cdanimal and re.dtfim is null)
  left join mamite m on m.cdmamite =
    (select first 1 re1.cdmamite
    from mamite re1
    where re1.cdanimal = an.cdanimal
      and ((re1.ad in (0,1,2))or(re1.ae in (0,1,2))or(re1.pd in (0,1,2))or(re1.pe in (0,1,2)))
      and re1.data > lac.dtinicio
    order by re1.data asc)
where
  an.dtbaixa is null
